import time
import pymysql
import random
import traceback
from log_settings import *
import logging
from auto_request import login, click, time_convs,get_user_id
from auto_request import host, user, port, db, passwd


def get_data(numtime):
    try:
        pc = pymysql.connect(host=host, user=user, passwd=passwd, db=db, port=port)
        cursor = pc.cursor()
        cursor.execute(
            "SELECT  user_id , id FROM topic WHERE is_online=1  and create_time LIKE '%%%%%s%%%%'" % numtime)
        data = cursor.fetchall()
        topic_id = list(data)
        user_list = get_user_id()
        topic_id_list = []
        if topic_id:
            for i in topic_id:
                if int(i[1]) in user_list:
                    topic_id_list.append(i)

        logging.info("Database version : %s " % topic_id_list)
        pc.close()
        return topic_id_list
    except:
        logging.error("catch exception,get_data:%s" % traceback.format_exc())
        return None


if __name__ == "__main__":

    try:

        time_list = [1, 2, 3, 4, 5, 6, 7]

        for i in time_list:

            numtime = time_convs(i)

            user_id = get_data(numtime)

            dicts = {}

            for i in user_id:

                if i[0] not in dicts.keys():
                    dicts.setdefault(i[0], [])
                    dicts[i[0]].append(i[1])

                else:
                    dicts[i[0]].append(i[1])

            for key, value in dicts.items():

                rand_num = random.randint(0, len(value) - 1)

                rand_id = value[rand_num]

                urge_num = random.randint(0, 1)

                for i in range(urge_num):

                    time.sleep(random.randint(1, 10))

                    cook = login()

                    if cook is not None:
                        click(cook, rand_id)

    except:
        logging.error("catch exception,main:%s" % traceback.format_exc())

