import requests
import time
import datetime
import pymysql
import random
import traceback
from log_settings import *
import logging
from auto_request import login, time_convs, follow,get_user_id
from auto_request import host, user, port, db, passwd



def get_data(numtime):
    try:
        pc = pymysql.connect(host=host, user=user, passwd=passwd, db=db, port=port)
        cursor = pc.cursor()
        cursor.execute(
            "SELECT distinct(user_id) FROM topic WHERE is_online=1 and create_time LIKE '%%%%%s%%%%'" % numtime)
        data = cursor.fetchall()
        user_id = list(data)

        user_list = get_user_id()
        topic_id_list = []
        if user_id:
            for i in user_id:
                if int(i[1]) in user_list:
                    topic_id_list.append(i)

        logging.info("Database version : %s " % topic_id_list)
        pc.close()
        return topic_id_list
    except:
        logging.error("catch exception,get_data:%s" % traceback.format_exc())
        return None


if __name__ == "__main__":

    try:

        time_list = [1, 2, 3, 4, 5, 6, 7, 11]

        for i in range(len(time_list)):

            if time_list[i] != 11:

                numtime = time_convs(time_list[i])

                user_id = get_data(numtime)

                follow_num = random.randint(1, 2)

                for i in range(follow_num):

                    for j in user_id:

                        id = int(j[0])

                        time.sleep(random.randint(1, 10))

                        cookies = login()

                        if cookies is not None:

                            follow(cookies, id)


                time.sleep(300)
    except:
        logging.error("catch exception,main:%s" % traceback.format_exc())
