import requests
import time
import datetime
import pymysql
import random
import traceback
from log_settings import *
import logging
import threading

from auto_request import login, time_conv, Urge, get_user_id
from auto_request import host, user, port, db, passwd


def get_data(numtime):
    try:
        pc = pymysql.connect(host=host, user=user, passwd=passwd, db=db, port=port)
        cursor = pc.cursor()
        cursor.execute(
            "select distinct(user_id) from account_user_auth   where  user_id not in (select user_id from pv_maidian  where page_name ='home' and  partiton_date >=  %s)",
            (numtime))
        data = cursor.fetchall()
        user_id = list(data)

        user_list = get_user_id()
        topic_id_list = []
        if user_id:
            for i in user_id:
                if int(i[1]) not in user_list:
                    topic_id_list.append(i)

        logging.info("Database version : %s " % topic_id_list)
        pc.close()
        return topic_id_list
    except:
        logging.error("catch exception,get_data:%s" % traceback.format_exc())
        return None


if __name__ == "__main__":

    try:

        def urge_user():

            numtime = time_conv(3)

            user_id = get_data(numtime)

            for j in range(2):

                for i in user_id:

                    time.sleep(random.randint(10, 15))

                    cook = login()

                    if cook is not None:
                        Urge(cook, i)


        sleep_time = random.randint(300, 540)
        timer = threading.Timer(1, urge_user)  # 首次启动
        timer.start()


    except:
        logging.error("catch exception,main:%s" % traceback.format_exc())
